> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superdash.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Continue a conversation

> Use this API endpoint to continue an existing conversation with a user

### Authorizations

<ParamField header="x-api-key" type="string" required>
  API key associated with your project/workspace
</ParamField>

### Body Parameters

***

<Note>Provide either conversationId or userIdentifier, but not both.</Note>

<ParamField body="conversationId" type="string">
  A unique identifier for an existing conversation. Use this parameter to continue a specific conversation.
</ParamField>

<ParamField body="assistantId" type="string" required>
  The UUID associated with an assistant.
</ParamField>

<ParamField body="userIdentifier" type="string" required>
  A unique identifier associated with a user or customer. Use this parameter to continue a conversation based on the user's history.
</ParamField>

<ParamField body="workspaceId" type="string" required>
  The UUID associated with a workspace.
</ParamField>

<ParamField body="question" type="string" required>
  The question to be submitted to the LLM.
</ParamField>

<ValidationRule type="oneOf">
  Either conversationId or userIdentifier must be provided, but not both.
</ValidationRule>

### Response

***

<ResponseField name="response" type="string">
  The response generated by the LLM.
</ResponseField>

<ResponseField name="conversationId" type="string">
  The ID associated with the conversation.
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
  "conversationId": "A newly created conversationId to identify the conversation. Generally, this is not required if you're using userIdentifier",
  "response": "Response generated by LLM"
  }
  ```

  ```json 400 theme={null}
  {
    "code": "Error code",
    "moreInfo": "Link to read about the error "
  }
  ```

  ```json 401 theme={null}
  {
    "msg": "Api key is not valid"
  }
  ```

  ```json 402 theme={null}
  {
    "msg": "Please upgrade your account to continue"
  }
  ```

  ```json 403 theme={null}
  {
    "msg": "Forbidden"
  }
  ```

  ```json 500 theme={null}
  {
    "msg": "Server Error"
  }
  ```
</ResponseExample>
